dots.approvals.byApproval_id().post()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.approvals.byApproval_id(approval_id).post(body: Approval_decision, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Approval_decision_response>

Description

Approves or denies a tool call that is waiting for approval, identifying the session with the X-Session-Id header. It behaves the same as POST /approvals/session/{session_id}/{approval_id}, which is the path returned in a result’s _meta.decide.

Parameters

Path Parameters

approval_id string required

Example: 7d3c2b1a-9e8f-4a6b-8c5d-4e3f2a1b0c9d

The approval_id from a tool result whose _meta.status is requires_approval.

Headers

X-Session-Id string required

Example: 2b3c9f0e-1a4d-4e5f-8a7b-6c5d4e3f2a1b

The session to act in: the UUID at the end of the session's sessionUrn and mcpUrl. The session must belong to the authenticated user and team.

Request Body

decision string required

Whether to let the pending call run.

One of: approve, deny

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.approvals
    .byApproval_id("7d3c2b1a-9e8f-4a6b-8c5d-4e3f2a1b0c9d").post({
    decision: "deny",
}, {
    headers: {
        "X-Session-Id": "2b3c9f0e-1a4d-4e5f-8a7b-6c5d4e3f2a1b",
    },
});

Response Example

Show Response Example
{
  "id": "7d3c2b1a-9e8f-4a6b-8c5d-4e3f2a1b0c9d",
  "status": "denied",
  "expires_at": "2026-10-09T18:30:00Z"
}

More Information

See /approvals/{approval_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.